Bug 499542 - qemu graphics corruption with -vga vmware
qemu graphics corruption with -vga vmware
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 02:06 EDT by Paniraj
Modified: 2010-12-05 01:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:54:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (255.49 KB, image/png)
2009-05-08 05:56 EDT, Paniraj
no flags Details

  None (edit)
Description Paniraj 2009-05-07 02:06:29 EDT
Description of problem:
QEMU crashes when vmware is selected as video card to install a guest


Steps to Reproduce:
1. Install Fedora11(rawhide) with virtualization support 
2. Run qumu-kvm -hda <PATH TO VOL> -cdrom <PATH TO ISO> -m 1024 -boot d -vga vmware -vnc localhost:1
3. Run vncviewer localhost:1 from other terminal. See that the graphics crash
Comment 1 Mark McLoughlin 2009-05-07 02:44:19 EDT
Paniraj: can you try and get a stack trace of qemu?

e.g. run qemu-kvm in gdb and when it crashes run "thread apply all bt"

See also http://fedoraproject.org/wiki/StackTraces
Comment 2 Paniraj 2009-05-08 05:53:26 EDT
Mark

crash here meaning, I see that the initial GUI itself is distorted. Am attaching the screen shot.

This I observed when I tried installing RHEL 5.3 as guest. I was able to see this issue on multiple platforms.

I don't see any stack trace.
Comment 3 Paniraj 2009-05-08 05:56:04 EDT
Created attachment 343060 [details]
Screenshot
Comment 4 Mark McLoughlin 2009-05-11 07:17:53 EDT
Moving to qemu, because it may or may not be a vgabios bug.
Comment 5 Mark McLoughlin 2009-05-21 13:27:18 EDT
Confirmed with the F11 Beta ISO and:

  qemu-system-x86-0.10.4-4.fc11.x86_64
  vgabios-0.6-0.5.b.fc11.noarch

It's 'orribly borked. It could be a guest issue too, of course.
Comment 6 Ryan Bair 2009-05-21 16:36:45 EDT
Try toggling from full screen and back a few times. I'm able to get one visible frame per full screen/windowed cycle. Its still completely useless but it could give a hint to the problem.
Comment 7 Mark McLoughlin 2009-06-09 03:04:28 EDT
This patch could potentially fix it:

  http://patchwork.kernel.org/patch/28761/
Comment 8 Bug Zapper 2009-06-09 11:17:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Gilboa Davara 2009-06-24 06:08:47 EDT
I can confirm this bug under F11 GA.
If I boot the guest with vga=normal, I can reach X (vmware driver under X.org), but I get a distorted X11 display. (Using either SDL or VNC)
If I boot the guest with any vesa resolution (vga=0x3xx), I get a blank console. (The guest seems to continue the normal booting as normal).

Check with two different guests - CentOS 5.3 and Slackware 12.2, so I doubt that it's a guest kernel issue. (Both booth just fine with vga=cirrus)

- Gilboa
Comment 10 G. Michael Carter 2009-10-14 13:11:17 EDT
I'm running Oracle Enterprise Linux 5.4 as a guest and Fedora 11 as the host.  Get the same situation with the vmware driver.   The cirrus is ok... except I get ghost images all over.  Which is why I tried switching to the vmware driver.

Has anyone had any luck getting this working yet?
Comment 11 Andreas Schneider 2009-12-10 06:41:26 EST
kvm crashes on F12 running a F12 guest with -vga vmware.

Here is the backtrace:

(gdb) bt
#0  0x0000003828c72180 in _IO_link_in_internal () from /lib64/libc.so.6
#1  0x0000003828c711fa in _IO_new_file_init () from /lib64/libc.so.6
#2  0x0000003828c65d95 in __fopen_internal () from /lib64/libc.so.6
#3  0x000000320f606817 in ?? () from /usr/lib64/libXcursor.so.1
#4  0x000000320f606961 in XcursorLibraryLoadImages () from /usr/lib64/libXcursor.so.1
#5  0x000000320f606b4c in XcursorLibraryLoadCursor () from /usr/lib64/libXcursor.so.1
#6  0x000000320f6070ca in XcursorTryShapeBitmapCursor () from /usr/lib64/libXcursor.so.1
#7  0x000000320d220f30 in XCreatePixmapCursor () from /usr/lib64/libX11.so.6
#8  0x0000003834840345 in X11_CreateWMCursor (this=0x29e8060, data=<value optimized out>, mask=<value optimized out>,
    w=64, h=64, hot_x=<value optimized out>, hot_y=0) at src/video/x11/SDL_x11mouse.c:134
#9  0x000000383482b1ba in SDL_CreateCursor (data=<value optimized out>, mask=<value optimized out>, w=64, h=64, hot_x=0,
    hot_y=<value optimized out>) at src/video/SDL_cursor.c:156
#10 0x00000000004c4767 in sdl_mouse_define (width=64, height=64, bpp=32, hot_x=<value optimized out>,
    hot_y=<value optimized out>, image=<value optimized out>, mask=<value optimized out>) at sdl.c:801
#11 0x000000000046c0e0 in vmsvga_cursor_define (c=<value optimized out>, s=<value optimized out>)
    at /usr/src/debug/qemu-kvm-0.11.0/hw/vmware_vga.c:489
#12 vmsvga_fifo_run (c=<value optimized out>, s=<value optimized out>)
    at /usr/src/debug/qemu-kvm-0.11.0/hw/vmware_vga.c:574
#13 0x0000000000000000 in ?? ()
Comment 12 Fedora Admin XMLRPC Client 2010-03-09 11:54:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2010-03-09 12:17:34 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Bug Zapper 2010-04-27 10:10:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Gilboa Davara 2010-04-28 16:19:16 EDT
Running a CentOS 5.4 guest under F12 with vga=vmware seems to work OK. (I even got glxgears to work!)
However, when I try and run a F12/i386 guest running under F12/x86_64 I get garbage.

I wonder if this bug shouldn't be filed against xorg-x11-drv-vmware.
Maintainers?

Either way, for now, changing to F12.

- Gilboa
Comment 16 Gilboa Davara 2010-04-28 16:22:46 EDT
Update: Manually fixed the xorg.conf on the F12 guest and now I get working -vga=vmware.

@Andreas Schneider,
I believe you should file a different bug report concerning your crash.

I believe this bug can be safely closed. Anyone else?
Comment 17 Bug Zapper 2010-11-04 07:16:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-12-05 01:54:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.